%global __libtoolize :
%global momorel 0.1.8
%global version_suffix a
%global plugindir %{_libdir}/xmms/Input

Name: xmms-cdread
Summary: Input plugin that reads audio data from CDs
Version: 0.14
Release: %{momorel}m%{?dist}
Source: ftp://mud.stack.nl/pub/OuterSpace/willem/%{name}-%{version}%{version_suffix}.tar.gz
Patch: xmms-cdread-whyfini.patch
License: GPL
Group: Applications/Multimedia
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: xmms >= 1.2.10-13m
BuildPrereq: xmms-devel >= 1.2.10-13m

%description
This is an alternative to the xmms audio CD plugin with advanced features.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}%{version_suffix}
%patch -p1

%build
cp %{_datadir}/libtool/config.* .
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make libdir=%{buildroot}%{plugindir} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL TODO ChangeLog NEWS README cddb.howto
%{plugindir}/libcdread.*

%changelog
* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14-0.1.8m)
- delete libtool library

* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.14-0.1.7m)
- change installdir (/usr/X11R6 -> /usr)

* Tue Feb  8 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.14-0.1.6m)
- enable x86_64.

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.14-0.1.5m)
- rebuild against xmms-1.2.8
- revise versioning.

* Wed Apr 10 2002 Toru Hoshina <t@kondara.org>
- (0.14a-4k)
- Why _fini?

* Sun Dec 02 2001 Toshiro HIKITA <toshi@sodan.org>
- (0.14a-2k)
- Imported from 0.11c-1mdk of Mandrake
- updated to 0.14a
- Kondarize

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- rebuild

* Tue May 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11c-1mdk
- bump to 0.11c to comply with xmms-1.2.5 interface

* Fri May 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9a-3mdk
- Rebuild.

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9a-2mdk
- build for release

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9a-1mdk
- updated to 0.9a
- patch cdread.c to avoid function conflict

* Tue Oct  3 2000 G Waschk <waschk@linux-mandrake.com> 0.8a-1mdk
- initial Mandrake build
